## org.apache.mahout.cf.taste.impl.recommender.svd
Interface Factorizer

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  AbstractFactorizer, ALSWRFactorizer, ParallelSGDFactorizer, RatingSGDFactorizer, SVDPlusPlusFactorizer

    public interface Factorizer

extends Refreshable

Implementation must be able to create a factorization of a rating matrix

Method Summary
`Factorization` `factorize()`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### factorize

    Factorization factorize()
                            throws TasteException

  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.